package com.blueland.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.blueland.bo.AdminUserEntity;
import com.blueland.model.TPfAdminUser;

import java.util.List;
import java.util.Map;

/**
 * @auther xcy
 * @create 2022-05-07 15:56
 */
public interface IAdminUserService extends IService<TPfAdminUser> {
    List<AdminUserEntity> findTagAdminUserListByParams(Map<String,Object> tagAdminUser);

    int batchDeleteByAppId(String[] appIds);

    AdminUserEntity getByAppidAndUsercode(String appId, String userCode);

    Page<AdminUserEntity> findPage(AdminUserEntity adminUserEntry);
}
